# Lister les sitemaps — API CacheBoost

> Récupérer tous les sitemaps d'un site.

Source: https://www.cache-boost.com/fr/support/api-reference/sitemaps/list.md
Language: fr

---



Returns all top-level sitemaps for a site. Child sitemaps (from sitemap indexes) are not included.

**`GET /v1/sites/{id}/sitemaps`** — Scope: `sites:read`

## Example request

```bash
curl https://api.cache-boost.com/v1/sites/42/sitemaps \
  -H "Authorization: Bearer cb_live_YOUR_KEY"
```

## Response

`200 OK` — array of sitemap objects.

```json
[
  {
    "id": 7,
    "url": "https://www.example.com/sitemap.xml",
    "status": "ready",
    "status_message": null,
    "last_processed_at": "2025-01-15T02:00:00Z",
    "created_at": "2025-01-10T09:00:00Z"
  }
]
```

### Status values

| Value | Description |
|-------|-------------|
| `waiting` | Queued for download |
| `downloading` | Currently downloading the sitemap file |
| `parsing` | Extracting URLs from the sitemap |
| `ready` | Processed successfully — URLs are available |
| `error` | Processing failed — see `status_message` |

## Errors

| Code | Description |
|------|-------------|
| `401` | Missing or invalid API key |
| `403` | Insufficient scope or access denied |
| `404` | Site not found |



---

**CacheBoost** — Automatic cache warming for faster websites.

- Website: https://www.cache-boost.com
- Full content (all pages): https://www.cache-boost.com/llms-full.txt
- LLM index: https://www.cache-boost.com/llms.txt
- Documentation: https://www.cache-boost.com/support/getting-started/introduction
- Start free: https://www.cache-boost.com/try
